Unfreezes a previously frozen order.
POST /v2/cpq/carts/{order_ID}/unfreeze
For CME Winter '20 and later releases, create an unfreeze order request to the order management system.
A Freeze Order API request may have frozen order fulfillment. If the user decides not to submit a supplemental order, you can use the unfreezeOrder API to unfreeze the order's fulfillment.
If the order management system sends the Accepted response, the OrderStatus__c field is set to In Progress.
Apex Method
Use this method with the current order's ID as input (currentOrdId) to unfreeze a frozen order fulfillment.
public static void unfreezeOrder(Id currentOrdId)
{
final String methodName = 'unfreezeOrder';
Map<String, Object> inputMap = new Map<String, Object>
{
'cartId' => currentOrdId,
'methodName' => methodName
};
Map<String, Object> outputMap = new Map<String, Object>();
Map<String, Object> optionsMap = new Map<String, Object>();
vlocity_cmt.CpqAppHandler handler = new vlocity_cmt.CpqAppHandler();
handler.invokeMethod(methodName, inputMap, outputMap, optionsMap);
// traverse the result that was returned, to find the supplemental order id.
vlocity_cmt.JSONResult result = (vlocity_cmt.JSONResult) outputMap.get('result');
}
Package
Communication (vlocity_cmt)
API Parameters and Response Format
For API parameter names and descriptions, see Cart-Based API Swagger Reference.
Resource Information
| Response Format | JSON |
|---|---|
| Resource URL | /services/apexrest/{namespace}/v2/cpq/carts/{order_ID}/unfreeze |
Example Request
POST
/services/apexrest/v2/cpq/carts/{order_ID}/unfreeze
Example Request Body
{
"cartId": "order_ID"
}
See Also